
#search-bar *, #search-bar *::after, #search-bar *::before 
{
    box-sizing: border-box;
}

#search-bar .search-container
{
   background: #cbcbcb none repeat scroll 0 0;
   overflow: hidden;
   display: inline-block;
   max-width: 350px;
   position: relative;
   vertical-align: top;
   width: calc(100% - 2em);
   height:3.5em;
   z-index: 1;
   font-size:150%;
}
#search-bar input {
	position: relative;
	display: block;
	float: right;
	padding: 0.8em;
	width: 60%;
	border: none;
	border-radius: 0;
	background: #f0f0f0;
	color: #aaa;
	font-weight: 400;
	font-family: "Avenir Next", "Helvetica Neue", Helvetica, Arial, sans-serif;
	-webkit-appearance: none; /* for box shadows to show on iOS */
	background: transparent none repeat scroll 0 0;
	color: #797693;
	font-weight: 500;
	width: 100%;
	z-index: 10;
	font-size:100%;
}

#search-bar input:focus {
	outline: none;
}

#search-bar label {
	display: inline-block;
	float: right;
	padding: 0 1em;
	width: 40%;
	color: #696969;
	font-weight: bold;
	font-size: 70.25%;
	-webkit-font-smoothing: antialiased;
	-moz-osx-font-smoothing: grayscale;
	-webkit-touch-callout: none;
	-webkit-user-select: none;
	-khtml-user-select: none;
	-moz-user-select: none;
	-ms-user-select: none;
	user-select: none;
	color: #fff;
	pointer-events: none;
	position: absolute;
	text-align: left;
	width: 100%;
}
#search-bar label::before {
    background: rgba(0, 0, 0, 0) url("/img/search.svg") no-repeat scroll center center / 100% auto;
    content: "";
    height: 30px;
    left: 20px;
    position: absolute;
    top: 45%;
    transition: transform 0.4s cubic-bezier(0.7, 0, 0.3, 1) 0s;
    width: 30px;
}

#search-bar label span.label {
	position: relative;
	display: block;
	padding: 1.6em 0;
	width: 100%;
	display: block;
	padding: 1.5em 0 0 2.75em;
	transition: transform 0.4s cubic-bezier(0.7, 0, 0.3, 1) 0s;
}
#search-bar input:focus + label::before,
#search-bar .search-container.filled label::before {
	-webkit-transform: scale3d(38, 38, 1);
	transform: scale3d(38, 38, 1);
}

#search-bar span.search-button {
	position:relative;
	display:inline-block;
	height:3em;
	left:-3px; top:1px;
}
#search-bar span.search-button button {
	-webkit-box-shadow:none;
	-moz-box-shadow:none;
	box-shadow:none;
}